## org.apache.poi.xslf.model
Class ParagraphPropertyFetcher<T>

    java.lang.Object
      org.apache.poi.xslf.model.PropertyFetcher<T>
          org.apache.poi.xslf.model.ParagraphPropertyFetcher<T>

Direct Known Subclasses:
  CharacterPropertyFetcher

    public abstract class ParagraphPropertyFetcher<T>

extends PropertyFetcher<T>

Author:
  Yegor Kozlov

Constructor Summary
`ParagraphPropertyFetcher(int level)`

Method Summary
`abstract boolean` `fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties props)`
`boolean` `fetch(XSLFSimpleShape shape)`

Methods inherited from class org.apache.poi.xslf.model.PropertyFetcher
`getValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParagraphPropertyFetcher

    public ParagraphPropertyFetcher(int level)

Method Detail

### fetch

    public boolean fetch(XSLFSimpleShape shape)

  Specified by:
    `fetch` in class `PropertyFetcher<T>`
  Parameters:
    `shape` - the shape being examined
  Returns:
    true if the desired property was fetched

### fetch

    public abstract boolean fetch(org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties props)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.